<template>
    <div>
        <v-app-bar
        class="header__container"
        id="none__shadow"
        app
        darken
        color="#F8F7F7"
        height="80px"
        >
        <v-btn class="v-btn__header" color="#F8F7F7" id="btn">
            <router-link class="header__logo" id="header__link-black" to="/">Vacanse</router-link>
        </v-btn>
        <v-spacer></v-spacer>
        <v-btn class="header__link" color="#F8F7F7" id="btn">
            <router-link id="header__link-black"  to="/Vacanses"><p class="header__text">Вакансии</p></router-link>
        </v-btn>
        <v-btn id="btn" class="header__link" color="#F8F7F7" @click="loginForm()"  v-if="auth === false" >
            <span id="header__link-black "><p class="header__text">Логин</p></span>
        </v-btn>
        <div v-else>
            <v-btn id="btn" class="header__link" color="#F8F7F7">
                <p class="header__text">Александр</p>
            </v-btn>
            <v-btn id="btn" class="header__link" color="#F8F7F7">
                <span class="span-margin" @click="loginForm()"><p class="header__text">Выйти</p></span>
            </v-btn>
        </div>
        <v-btn id="btn" class="header__link" color="#F8F7F7" v-if="auth === false">
            <router-link id="header__link-black"  to="/Register"><p class="header__text">Зарегистрироваться</p></router-link>
        </v-btn>
        </v-app-bar>
    </div>
</template>

<script>

export default {

  data: () => ({
    auth: false
  }),

  methods: {
    loginForm() {
        if(this.auth) {
        this.auth = false
        } else {
        this.auth = true
        }
    }
  }
}
</script>

<style>
@import url('https://fonts.googleapis.com/css2?family=IM+Fell+English+SC&display=swap');

.header__container{
    max-width: 1440px;
    margin: 0 auto;
}

.header__logo{
    font-family: 'IM Fell English SC', serif;
    font-size: 2.3rem;
} 

.span-margin{
    margin-left: 10px;
}

.v-btn__header{
    border: none;
    box-shadow: none;
}

#none__shadow {
    box-shadow: none;
    position: static;
}

#header__link-black{
    color: black;
}

.header__link{
    border: none;
    box-shadow: none;
}
.header__search{
    background-color: white ;
    border-radius: 10px;
}

@media screen and (max-width: 920px) {
    .header__text{
        font-size: 1rem;
    }
    #header__link-black{
        font-size: 1.5rem;
    }
}

@media screen and (max-width: 700px) {
    .header__text{
        font-size: 0.8rem;
    }
    #header__link-black{
        font-size: 1rem;
    }
}

@media screen and (max-width: 550px) {
    .header__text{
        font-size: 0.5rem;
    }
    #header__link-black{
        font-size: 0.8rem;
    }
    #btn{
        padding: 0 4px;
    }
    
    .v-toolbar__content{
        padding: 0 4px ;
    }
}

@media screen and (max-width: 350px) {
    .header__text{
        font-size: 0.45rem;
    }
    #header__link-black{
        font-size: 0.7rem;
    }
}
</style>